Subject: Re: [PATCH] bash completion: Improve responsiveness of git-log completion

From: Ingo Molnar <[email-masked]>
Date: Mon, 14 Jul 2008 00:12:02 +0200

* Junio C Hamano <[email-masked]> wrote:

> "Shawn O. Pearce" <[email-masked]> writes:
> 
> > Junio noticed the bash completion has been taking a long time lately....
> 
> The credit actually goes to Ingo.
> 
> > Petr Baudis tracked it down to 72e5e989b ("bash: Add space after
> > unique command name is completed.").  Tracing the code showed
> > we spent significant time inside of this loop within __gitcomp,
> > due to the string copying overhead....
> > ...
> >  Does this make things better?  Or worse?  I'm not seeing a huge
> >  difference on my own system.  Maybe its too fast these days...
> 
> Ingo, I understand you have stopped using the completion long time ago 
> due to this latency issue.  Together with d773c63 (bash: offer only 
> paths after '--', 2008-07-08) that already is in 'maint' and 'master', 
> this hopefully would make the completion usable for you again?

yeah. I've checked out the latest version and applied Shawn's patch and 
added the patched contrib/completion/git-completion.bash back to my 
.bashrc and i'm not seeing the latencies anymore.

Thanks! Please consider this fixed - will follow up if there's any 
problem left.

	Ingo